Skip to content

Location API (1.0)

This API allows you to retrieve various data about a given location

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Get Online/Offline status

Request

This endpoint allows you to query the online/offline status of a POS

Security
JWT
Path
tcLocationIdstringrequired

Tyro Connect Location Id for which the online/offline status should be retrieved

Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/locations/{tcLocationId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Online/Offline status response

Bodyapplication/json
locationIdstringrequired

The Tyro Connect Location Id for which the following information applies

posobject(POS information)required

Information about the POS itself

pos.​vendorstringrequired

The POS vendor

pos.​versionstring

The version of the POS software

pos.​apisArray of objects(Supported API version)

This is a list of all APIs supported by the POS

statusobject(Online/Offline status)required

Information about the online/offline status

status.​codestringrequired

The online (GREEN) / offline (RED) status of the POS

Enum"GREEN""RED"
status.​lastOnlineAtstring(date-time)required

Time stamp of when Tyro received the last GREEN status update. Can be null if the status has never been GREEN.

status.​reasonstring

When the code changed to RED, this property provides the reason for the change

Response
application/json
{ "locationId": "merchant:abc123", "pos": { "vendor": "goodpos" }, "status": { "code": "GREEN", "lastOnlineAt": "2021-02-10T23:53:15.533Z" } }